2026-03-08 v1.4.1 Mark Grant <m.grant.prg@gmail.com>
	* at: Upgrade bootstrap.sh to v1.7.1
	at: Remove old signature file before creating a new one
	v1.4.1-rc1
	bash: Correct format of wget command
	bash: Strip any trailing / from target directory
	bash-comp: Fix filenames with spaces
	bash-comp: Remove legacy testing commented out code
Mark Grant (7):

2026-01-31 v1.4.0 Mark Grant <m.grant.prg@gmail.com>
	* build(deps): bump actions/checkout from 5 to 6
	build(deps): bump actions/checkout from 4 to 5
dependabot[bot] (2):

	v1.4.0-rc2
	bash: Double quote to avoid globbing and splitting
	bash: Ignore unreachable warning for trap function
	bash: Declare and assign variables separately
	bash-comp: Add bash completion
	at: Upgrade bootstrap.sh to v1.7.0
	at: Add sign_tarball target
	at: Leave source tarball name same as distribution tarball
	at: Update Copyright for 2026
	at: Correct Copyright dates, checked via git
	Merge pull request #5 from m-grant-prg/dependabot/github_actions/tip/actions/checkout-6
	at: Upgrade bootstrap.sh to v1.6.2
	at: Update bootstrap.sh to v1.6.1
	Merge pull request #3 from m-grant-prg/dependabot/github_actions/tip/actions/checkout-5
	v1.4.0-rc1
	actions: Run on Noble
	actions: Set dependabot to target stable and old stable branches
	at: Update Copyright for 2025
	at: Re-order program checks alphabetically
Mark Grant (19):

2024-05-08 v1.3.1 Mark Grant <m.grant.prg@gmail.com>
	* build(deps): bump actions/checkout from 2 to 4
dependabot[bot] (1):

	git: Correct reasoning in gitignore, empty vs untracked
	at: Improve CL syntax description
	man: Update CL syntax
	bash: Improve CL syntax description
	at: Update Copyright for 2024
	all: Remove most in-file ChangeLogs and versioning
	git: Standardise on non-root gitignores
	git: Update mailmap to v1.0.4
	git: Update gitignore to v1.0.12
	git: Update gitattributes to v1.0.5
	editors: Update editorconfig to v1.0.6
	at: Upgrade bootstrap.sh to v1.6.0
	Merge pull request #1 from m-grant-prg/dependabot/github_actions/actions/checkout-4
	github: Add dependabot version update config
	lxcu: Remove txt2man, rely on txt2manwrap dependencies
	actions: Run on jammy
	actions: Remove txt2man, rely on txt2manwrap dependencies
Mark Grant (19):

2023-06-26 v1.3.0 Mark Grant <m.grant.prg@gmail.com>
	* bash: Use double quotes to prevent globbing and word splitting
	at: Allow for v1.1.1~rc1 version numbering
	lxcu: Add in-file help text
	at: Upgrade bootstrap.sh to v1.5.6
	git: Update mailmap to v1.0.3
	git: Update gitignore to v1.0.11
	git: Update gitattributes to v1.0.4
	editors: Update editorconfig to v1.0.4
	v1.2.0
	actions: Run on Focal 20.04
	at: Use AC_CONFIG_AUX_DIR
	git: Update gitignore to v1.0.9
	at: Upgrade bootstrap.sh to v1.5.4
	editors: Add editorconfig v1.0.3
	at: Upgrade bootstrap.sh to v1.5.1
	git: Update gitattributes to v1.0.3

2021-11-26 v1.1.17 Mark Grant <m.grant.prg@gmail.com>
	* at: Add AC_COPYRIGHT macro
	all: Tighten SPDX tags
	at: Upgrade bootstrap.sh to v1.4.10
	git: Update mailmap to v1.0.2
	git: Update gitignore to v1.0.7
	git: Update gitattributes to v1.0.2
	at: Use git to enhance package version
	lxcu: Add openSUSE
	lxcu: Add Fedora
	at: Add misc directory to DIST

2021-07-06 v1.1.16 Mark Grant <m.grant.prg@gmail.com>
	* at: Upgrade bootstrap.sh to v1.4.9
	git: Add gitattributes file
	git: Add mailmap file
	travis: Stop using Travis
	actions: Initial build action setup
	at: lxcu: Add lxc test build setup
	travis: Bionic is the new minimum release
	at: README: Correct git command
	bash: Move script_exit() before it is used
	mget script now at version 1.2.2

2019-09-18 v1.1.15 Mark Grant <m.grant.prg@gmail.com>
	*  If get successful delete from source file else keep
	Do not automatically create config file
	travis: Initial project setup
	at: Update bootstrap.sh to v1.4.5
	at: Set configure args for distcheck in top makefile
	git: Update project root gitignore to v1.0.2
	README: Point bootstrap.sh section at acmbuild wiki
	README: Add Copyright statement
	README: Make package install references generic
	man: Standardise Copyright statement
	at: Remove useless shebangs from Makefile.ams
	at: Add installation of standard GNU files eg NEWS
	Correct package versioning
	Replace #! env bash with abs path from configure
	Use more meaningful exit codes
	configure.ac: Revamp to new standard format
	Prefer printf over echo
	Tidy up variables
	Save and restore IFS around main processing loop
	Pass missing error code to script_exit()
	Refactor target dir validation into a function
	Refactor source file validation into a function
	Concatenate 2 line statement which fits on one
	Improve legibility when skipping due to wget error
	Set config file path explicitly at start
	Prefer [[ ... ]] AOT [ ... ]
	Refactor getopt processing into function
	Standardise comments for write_file()
	Refactor config file processing into function
	Standardise trap handling
	Standardise script_exit()
	Improve standard error handling function comments
	Improve output()
	Refactor help output into function
	Remove useless and broken check for -p only CL
	Use (( ... )) for numerics
	Use true booleans
	Adopt C style loops and if statements
	Do not hard-code outputprefix
	mget script now at version 1.2.1

2018-11-01 v 1.1.14 Mark Grant <m.grant.prg@gmail.com>
	*  srctarball to use -src- in filename
	mget script still at version 1.1.8

2018-10-19 v 1.1.13 Mark Grant <m.grant.prg@gmail.com>
	*  Add markdown symlink to README.
	Beautify README for GitHub markdown presentation.
	Modify README to refer to new wiki.
	mget script still at version 1.1.8

2018-08-27 v 1.1.12 Mark Grant <m.grant.prg@gmail.com>
	*  There have been sufficient minor project infrastructure changes to
	warrant a new release. No functional changes.
	mget script still at version 1.1.8

2018-04-12 v 1.1.11 Mark Grant <m.grant.prg@gmail.com>
	*  Update this project bootstrap.sh to latest version 1.3.4.
	Improve README file.
	Change package versioning to a hard-coded configure value due to use
	of source tarballs started with new use of github.
	Add a make target srctarball to make a source tarball. This can be used
	in the same way as github's source tarball enabling 1 package methodolgy
	irrespective of source repository.

2018-02-24 v 1.1.10 Mark Grant <m.grant.prg@gmail.com>
	*  Standardise on misc directory.
	Add standard AutoTools bootstrap script.
	Bring project structure up to latest standard.

2017-12-03 v 1.1.9 Mark Grant <m.grant.prg@gmail.com>
	*  Adopt normal exit code policy; 0 on success, 1 on failure.
	   Add SPDX license tags to source files.
	   Add project-wide TODO file.
	   Determine the manual section from the target file suffix. If the
	   suffix is blank (foo.) or if there is no suffix (foo) then error out.
	   Update man page copyright span attribution.

2017-07-01 v 1.1.8 Mark Grant <m.grant.prg@gmail.com>
	* Enforce 80 column rule.
	mget script now at version 1.1.7

2017-05-01 v 1.1.7 Mark Grant <m.grant.prg@gmail.com>
	* Apply standards from atbre template v1.0.0
	Correct man page build - output from $(edit) was being ignored.

2015-10-20 v 1.1.6 Mark Grant <m.grant.prg@gmail.com>
	* Note conformity to AutoTools General Template v1.0.6.
	Restructure to conform to AutoTools General Template v1.0.5.

2015-06-26 v 1.1.5 Mark Grant <m.grant.prg@gmail.com>
	* Remove BSD support.
	mget script now at version 1.1.6

2014-12-11 v 1.1.4 Mark Grant <m.grant.prg@gmail.com>
	* Tidy up in-script documentation and AutoConf checks.
	mget script now at version 1.1.5

2014-12-01 v 1.1.3 Mark Grant <m.grant.prg@gmail.com>
	* Replace line ending conversion code with use of wutconv.
	Add --unix option as a complement to --windows to convert to unix line
	endings.
	mget script now at version 1.1.5

2014-11-29 v 1.1.2 Mark Grant <m.grant.prg@gmail.com>
	* Add support for including overall package version in script --version.
	Switch to use of GNU getopt to allow long options and implement them.
	Allow for FreeBSD quirk of 2 different getopt programs on PATH. See
	comments in script at the start of "Main". Structure OS specific
	requirements to test for generic *BSD OSs and use Linux as the default.
	mget script now at version 1.1.3

2014-09-01 v 1.1.1 Mark Grant <m.grant.prg@gmail.com>
	*Change to utilise configure.ac check on whether wget or fetch is in use.
	Add check for awk in configure.ac.
	Change from sed to awk for Windows / Unix line ending conversions as sed
	is inconsistent across distributions.

2014-08-27 v 1.0.15 Mark Grant <m.grant.prg@gmail.com>
	* Changed name to mget to avoid package name clash in Ubuntu.

2014-06-19 v 1.0.14 Mark Grant <m.grant.prg@gmail.com>
	* Added man(5) page for retained command line parameter file
	'.multiget'.
	multiget	Still at version 1.0.12

2014-06-16 v 1.0.13 Mark Grant <m.grant.prg@gmail.com>
	* Improved directory structure in source and which files Git tracks.
	Added configure check for txt2man.
	multiget	Still at version 1.0.12

2014-01-06 v 1.0.12 Mark Grant <m.grant.prg@gmail.com>
	* multiget	Persist option code was in the file processing loop and
	never got executed if no files were to be processed. Moved out of loop.
	multiget	Now at version 1.0.12

2014-01-05 v 1.0.11 Mark Grant <m.grant.prg@gmail.com>
	* multiget	Introduced new standardised error handler routine to
	test previous command success. Changed command line options to use -V
	as the version option, S as Source URL and -T as target directory.
	Introduced -q, -s & -v as quiet, silent and verbose options. Fixed
	error handling on existing file deletion.
	multiget	Now at version 1.0.11

2014-01-01 v 1.0.10 Mark Grant <m.grant.prg@gmail.com>
	* multiget	Tidied up use of output function.
	multiget	Now at version 1.0.10

2013-12-15 v 1.0.9 Mark Grant <m.grant.prg@gmail.com>
	* multiget	Use command name instead of $0 in output script.
	multiget	Now at version 1.0.9

2013-12-14 v 1.0.8 Mark Grant <m.grant.prg@gmail.com>
	* multiget	Changed so that output function is the only place to
	insert the program name and it uses $0.
	multiget	Now at version 1.0.8

2013-12-13 v 1.0.7 Mark Grant <m.grant.prg@gmail.com>
	* multiget	Changed stdout & stderr message output to use a function
	directing to one or other based on a status.
	multiget	Now at version 1.0.7

2013-08-22 v 1.0.6 Mark Grant <m.grant.prg@gmail.com>
	* multiget	Debian best practice documentation requires that
	programs placed in the PATH should not have extensions as the programs
	may be rewritten in a different language. This would then require a name
	change, or, if left as-is would cause confusion. So name changed to
	remove .sh extension.
	multiget	Now at version 1.0.6

2013-05-05 v 1.0.5 Mark Grant <m.grant.prg@gmail.com>
	* multiget.sh	Fixed ugly exit if 'sourcefile' = "" or
	'targetdir' = "". 'targetdir' is now defaulted to 'PWD'.
	Now at version 1.0.5.

2013-05-03 v 1.0.4 Mark Grant <m.grant.prg@gmail.com>
	* multiget.sh	Included source and target information in script output
	to be more useful.

2013-05-02 v 1.0.3 Mark Grant <m.grant.prg@gmail.com>
	* multiget.sh	Introduced -q option which invokes fetch or wget
	quiet mode.

2013-04-30 v 1.0.2 Mark Grant <m.grant.prg@gmail.com>
	* multiget.sh	Fixed incorrect display of Error Status in man page.
	Introduced source file processing to ensure it has Unix type line
	endings. Removed partial implementation of 'MailTo' functionality.
	Now at version 1.0.2.

2013-04-29 v 1.0.1 Mark Grant <m.grant.prg@gmail.com>
	* First release.
	multiget.sh	Now at version 1.0.1. Does not implement mail
	notification.
